<id>
SpellCheck SP1.1
</id>

<version>
beta4/RC1
</version>

<mod info>
SpellCheckSP11 mod version beta4/Release Candidate 1

Original Spellcheck mod by Jay Silverman modified to work with YaBB SP1.1.

Updated to fix the errors caused when a Guest tries to spell check on boards with Guest access to posting. Test on both Guest access to posting and no Guest access. Summary - removes the spell check option from a guest's post.

Files are exactly the same as in beta2 with the exception of the mod file. More code has been  added to Post.pl - now does a search and replace in the second step instead of an add after - this may cause conflict problems on heavily modded boards.

Updated readme.txt and instructions based on troubleshooting efforts taking place on the BoardMod message board.

Files included in zip file
spellchecker.js
readme.txt
sproxy.pl
initspell.htm
SpellCheckSP11.mod file

Instructions:
1. Go to http://www.spellchecker.com and get your free account. If you download the sproxy.pl package from there - only use the sproxy.pl in the file as initspell.htm that comes with it will NOT work on a YaBB.
2. Remove any old spell check mod references first.
3. Apply mod.
4. Customize spellchecker.js for your board. Comments are placed in the spellchecker.js just before the line that you need to customize. You can use the spellchecker.com javascript wizard to create a sample but they put the script in an e-mail and don't attach the file - you are better off copying and pasting info the spellchecker.js that's in the mod file as there are changes in it so it will work with YaBB.
5. Customize template.html (right after <head>) so it knows where to find your spellchecker.js
6. Edit the first line of sproxy.pl to your Perl bangpath on your server.
7. Upload the files to your server:
initspell.htm and spellchecker.js into an HTML directory
sproxy.pl into your cgi-bin/yabb directory or cgi root directory (depending on your server)
Modified Post.pl to your yabb/Sources directory
8. You need to chmod 777 or 755 sproxy.pl
</mod info>

<author>
Seawolf
</author>

<homepage>
http://www.webappeal.com
</homepage>

<edit file>
template.html
</edit file>

<search for>
<head>
</search for>

<add after>
<script type="text/javascript" language="javascript"  src="http://yoururl/spellchecker.js">
</script>
</add after>

<edit file>
english.lng
</edit file>

<search for>
if($MenuType == 1) {
	$menusep = ' | ';
</search for>

<add before>
	$img{'spell'} = qq~<img src="$imagesdir/spellcheck.gif" alt="Spell Check" border="0"><BR><font size="1" class="imgmenu">Spell Check this message</font>~;
</add before>

<edit file>
Sources\Post.pl
</edit file>

<search for>
        <td valign=top class="windowbg2" bgcolor="$color{'windowbg2'}" width="23%"><font size=2><b>$txt{'72'}:</b></font>
        <br><br>
</search for>

<add after>
	 ~;
	if ($username ne 'Guest') {
	$yymain .= qq~
	<FORM name=SPELLDATA>
	<INPUT type=hidden name=formname>
	<INPUT type=hidden name=messagebodyname>
	<INPUT type=hidden name=companyID> 
        <INPUT type=hidden name=language>
	<INPUT type=hidden name=opener>
	<INPUT type=hidden name=formaction> 
	<input onclick="DoSpell('postmodify', 'message')" type="image" value="Check Spelling" name="SpellChk.x">$img{'spell'}
	</FORM>
	}
</add after>
